Package org.gradle.plugins.ide.idea.model

## Class IdeaModuleIml

- java.lang.Object
- - org.gradle.plugins.ide.api.FileContentMerger
  - - org.gradle.plugins.ide.api.XmlFileContentMerger
    - - org.gradle.plugins.ide.idea.model.IdeaModuleIml

-     public class IdeaModuleIml
      extends XmlFileContentMerger

  Models the generation/parsing/merging capabilities of an IDEA module.

  For examples, see docs for `IdeaModule`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IdeaModuleIml​(org.gradle.internal.xml.XmlTransformer xmlTransformer, java.io.File generateTo)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getGenerateTo()` | Folder where the *.iml file will be generated to
    `void` | `setGenerateTo​(java.io.File generateTo)` |

    - ### Methods inherited from class org.gradle.plugins.ide.api.XmlFileContentMerger

      `getXmlTransformer, setXmlTransformer, withXml, withXml`

    - ### Methods inherited from class org.gradle.plugins.ide.api.FileContentMerger

      `beforeMerged, beforeMerged, getBeforeMerged, getWhenMerged, setBeforeMerged, setWhenMerged, whenMerged, whenMerged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdeaModuleIml

          public IdeaModuleIml​(org.gradle.internal.xml.XmlTransformer xmlTransformer,
                               java.io.File generateTo)

  - ### Method Detail

    - #### getGenerateTo

          public java.io.File getGenerateTo()

      Folder where the *.iml file will be generated to

      For example see docs for `IdeaModule`

    - #### setGenerateTo

          public void setGenerateTo​(java.io.File generateTo)